/* velha.h */

/* Definicoes */

#define TRUE      1
#define FALSE     0

#define VAZIO     ' '
#define CRUZ      'X'
#define CIRCULO   'O'

#define PC                         /* Interface com o computador IBM-PC */

#define MAXPROFUND  2

/* Transformacoes */

#define ORD(X) (X - 48)            /* Transforma ASCII para numerico */
#define CHR(X) (X + 48)            /* Transforma de numerico p/ ASCII */

#define PAR(X) (X % 2 == 0)  /* Verifica se um inteiro e par */

#define PROFUNDIDADE_SUFICIENTE(X) (X == MAXPROFUND ? TRUE : FALSE)

/* Tipos */

typedef unsigned char peca;
typedef unsigned char byte;

typedef struct tipo_tabuleiro {

  peca tabuleiro [3] [3];

} tipo_tabuleiro;

typedef struct tipo_movimentos {

  struct tipo_tabuleiro movimentos [9];

} tipo_movimentos;
